Package org.eclipse.birt.report.model.api.metadata

# Interface IMethodInfo

All Superinterfaces:
  `ILocalizableInfo`

All Known Subinterfaces:
  `ITemplateMethodInfo`

All Known Implementing Classes:
  `ConstructorInfo`, `MethodInfo`, `MethodInfo`, `TemplateMethodInfo`

public interface IMethodInfo extends ILocalizableInfo
Represents the method information for both class and element. The class includes the argument list, return type, and whether this method is static or constructor,

## Method Summary

Modifier and Type
Method
Description
`Iterator<IArgumentInfoList>`
`argumentListIterator()`
Returns the iterator of argument definition.
`IClassInfo`
`getClassReturnType()`
Returns the script type for return.
`String`
`getJavaDoc()`
Returns the method javadoc.
`String`
`getReturnType()`
Returns the script type for return.
`String`
`getToolTip()`
Returns the display string for the tool tip of this method.
`String`
`getToolTipKey()`
Returns the resource key for tool tip.
`boolean`
`isConstructor()`
Returns whether this method is constructor.
`boolean`
`isStatic()`
Returns whether this method is static.

### Methods inherited from interface org.eclipse.birt.report.model.api.metadata.ILocalizableInfo

`getDisplayName, getDisplayNameKey, getName`

## Method Details

### argumentListIterator

Iterator<IArgumentInfoList> argumentListIterator()
Returns the iterator of argument definition. Each one is a list that contains `IArgumentInfoList`.

Returns:
  iterator of argument definition.

### getReturnType

String getReturnType()
Returns the script type for return.

Returns:
  the script type for return

### getClassReturnType

IClassInfo getClassReturnType()
Returns the script type for return.

Returns:
  the script type for return

### getToolTipKey

String getToolTipKey()
Returns the resource key for tool tip.

Specified by:
  `getToolTipKey` in interface `ILocalizableInfo`
Returns:
  the resource key for tool tip

### getToolTip

String getToolTip()
Returns the display string for the tool tip of this method.

Specified by:
  `getToolTip` in interface `ILocalizableInfo`
Returns:
  the user-visible, localized display name for the tool tip of this method.

### isConstructor

boolean isConstructor()
Returns whether this method is constructor.

Returns:
  true, if this method is constructor

### isStatic

boolean isStatic()
Returns whether this method is static.

Returns:
  true if this method is static

### getJavaDoc

String getJavaDoc()
Returns the method javadoc.

Returns:
  the javadoc